//==============================================================================================================================================
// ПЕРЕМЕННЫЕ МОДУЛЯ
//==============================================================================================================================================

//==============================================================================================================================================
// ОБРАБОТЧИКИ СОБЫТИЙ ФОРМЫ
//==============================================================================================================================================

//==============================================================================================================================================
// ОБРАБОТЧИКИ КОМАНД ФОРМЫ
//==============================================================================================================================================

&НаКлиенте
Процедура ЗаполнитьПрогноз(Команда)
	
	// Небольшое тестовое изменение для проверки работы Git.
	
	ЗаполнитьПрогнозСервер();
	
КонецПроцедуры // ЗаполнитьПрогноз()

//==============================================================================================================================================
// ОБРАБОТЧИКИ СОБЫТИЙ ЭЛЕМЕНТОВ ФОРМЫ
//==============================================================================================================================================

//==============================================================================================================================================
// КЛИЕНТСКИЕ ПРОЦЕДУРЫ И ФУНКЦИИ ОБЩЕГО НАЗНАЧЕНИЯ
//==============================================================================================================================================

//==============================================================================================================================================
// КЛИЕНТ-СЕРВЕРНЫЕ ПРОЦЕДУРЫ И ФУНКЦИИ ОБЩЕГО НАЗНАЧЕНИЯ
//==============================================================================================================================================

//==============================================================================================================================================
// СЕРВЕРНЫЕ ПРОЦЕДУРЫ И ФУНКЦИИ ОБЩЕГО НАЗНАЧЕНИЯ
//==============================================================================================================================================

&НаСервере
Процедура ЗаполнитьПрогнозСервер()
	
	ТаблицаПрогноза = Документы.ВводДвижений.ПолучитьПрогноз(Объект.ДатаНачалаПрогноза, Объект.ДатаОкончанияПрогноза);
	Объект.Подробности.Загрузить(ТаблицаПрогноза);
	
КонецПроцедуры // ЗаполнитьПрогнозСервер()

//==============================================================================================================================================
// ОПЕРАТОРЫ ОСНОВНОЙ ПРОГРАММЫ
//==============================================================================================================================================
